summaryrefslogtreecommitdiff
path: root/source4/cluster/ctdb/tests/events
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2007-07-10 08:06:51 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 14:59:20 -0500
commit6504900f1f52927adab3489b8d04b6644ceaee7d (patch)
tree893cadba231a529f320046429767cedf8b0eec30 /source4/cluster/ctdb/tests/events
parentd4e2d157cbce5a1cdc75efb5ced75d9608a0f7df (diff)
downloadsamba-6504900f1f52927adab3489b8d04b6644ceaee7d.tar.gz
samba-6504900f1f52927adab3489b8d04b6644ceaee7d.tar.bz2
samba-6504900f1f52927adab3489b8d04b6644ceaee7d.zip
r23806: update Samba4 with the latest ctdb code.
This doesn't get the ctdb code fully working in Samba4, it just gets it building and not breaking non-clustered use of Samba. It will take a bit longer to update some of the calling ctdb_cluster.c code to make it work correctly in Samba4. Note also that Samba4 now only links to the client portion of ctdb. For the moment I am leaving the ctdbd as a separate daemon, which you install separately from http://ctdb.samba.org/. (This used to be commit b196077cbb55cbecad87065133c2d67198e31066)
Diffstat (limited to 'source4/cluster/ctdb/tests/events')
-rwxr-xr-xsource4/cluster/ctdb/tests/events68
1 files changed, 68 insertions, 0 deletions
diff --git a/source4/cluster/ctdb/tests/events b/source4/cluster/ctdb/tests/events
new file mode 100755
index 0000000000..fb319bc426
--- /dev/null
+++ b/source4/cluster/ctdb/tests/events
@@ -0,0 +1,68 @@
+#!/bin/sh
+# event script for 'make test'
+
+cmd="$1"
+shift
+
+case $cmd in
+ monitor)
+ echo "`date` monitor event"
+ exit 0
+ ;;
+ startup)
+ echo "`date` ctdb startup event"
+ exit 0;
+ ;;
+
+ takeip)
+ if [ $# != 3 ]; then
+ echo "must supply interface, IP and maskbits"
+ exit 1
+ fi
+ iface=$1
+ ip=$2
+ maskbits=$3
+
+ [ `id -u` = 0 ] && {
+ /sbin/ip addr add $ip/$maskbits dev $iface || {
+ echo "`/bin/date` Failed to add $ip/$maskbits on dev $iface"
+ exit 1
+ }
+ }
+ exit 0;
+ ;;
+
+
+ ##################################################
+ # called when ctdbd wants to release an IP address
+ releaseip)
+ if [ $# != 3 ]; then
+ echo "`/bin/date` must supply interface, IP and maskbits"
+ exit 1
+ fi
+ iface=$1
+ ip=$2
+ maskbits=$3
+ [ `id -u` = 0 ] && {
+ /sbin/ip addr del $ip/$maskbits dev $iface || {
+ echo "`/bin/date` Failed to del $ip on dev $iface"
+ exit 1
+ }
+ }
+ echo "`date` ctdb takeip event for $1 $2 $3"
+ exit 0
+ ;;
+
+ recovered)
+ echo "`date` ctdb recovered event"
+ exit 0
+ ;;
+
+ shutdown)
+ echo "`date` ctdb shutdown event"
+ exit 0
+ ;;
+esac
+
+echo "`/bin/date` Invalid command $cmd"
+exit 1